import { ECharts } from 'echarts';

interface HorizontalProperties {
    right: number;
    left: number;
}

/**
 * Get the pixels on the left and right where labels overflow
 * @param chart The chart itself
 * @param textIndicator An indicator that is added to the label to get the DOM elements of the labels
 */
declare function getOverflowPx(chart: ECharts, textIndicator: string): HorizontalProperties;

/**
 * Get the pixels on the left and right where labels overflow
 * @param chart The chart itself
 * @param defaultGrid A grid that is calculated in a standard way for your chart
 * @param textIndicator An indicator that is added to the label to get the DOM elements of the labels
 */
declare function repositionGrid(chart: ECharts, defaultGrid: HorizontalProperties, textIndicator: string): void;

export { type HorizontalProperties, getOverflowPx, repositionGrid };
